package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 乐团付费主体
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("music_group_payment_entities")
public class MusicGroupPaymentEntities extends Model<MusicGroupPaymentEntities> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;
    /**
     * 乐团编号
     */
    @TableField("music_group_id_")
    private String musicGroupId;
    /**
     * 主体名称
     */
    @TableField("name_")
    private String name;
    /**
     * 付费方式(一次性、按月、按学期、按学年)
     */
    @TableField("payment_method_")
    private String paymentMethod;
    /**
     * 金额
     */
    @TableField("amount_")
    private BigDecimal amount;
    /**
     * 备注
     */
    @TableField("memo_")
    private String memo;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;


    public Integer getId() {
        return id;
    }

    public MusicGroupPaymentEntities setId(Integer id) {
        this.id = id;
        return this;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public MusicGroupPaymentEntities setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
        return this;
    }

    public String getName() {
        return name;
    }

    public MusicGroupPaymentEntities setName(String name) {
        this.name = name;
        return this;
    }

    public String getPaymentMethod() {
        return paymentMethod;
    }

    public MusicGroupPaymentEntities setPaymentMethod(String paymentMethod) {
        this.paymentMethod = paymentMethod;
        return this;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public MusicGroupPaymentEntities setAmount(BigDecimal amount) {
        this.amount = amount;
        return this;
    }

    public String getMemo() {
        return memo;
    }

    public MusicGroupPaymentEntities setMemo(String memo) {
        this.memo = memo;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public MusicGroupPaymentEntities setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public MusicGroupPaymentEntities setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "MusicGroupPaymentEntities{" +
        ", id=" + id +
        ", musicGroupId=" + musicGroupId +
        ", name=" + name +
        ", paymentMethod=" + paymentMethod +
        ", amount=" + amount +
        ", memo=" + memo +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        "}";
    }
}
